gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Buttons.CheckButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

Create widgets with a discrete toggle button

Synopsis

- data CheckButton
- class ToggleButtonClass o => CheckButtonClass o
- castToCheckButton :: GObjectClass obj => obj -> CheckButton
- gTypeCheckButton :: GType
- toCheckButton :: CheckButtonClass o => o -> CheckButton
- checkButtonNew :: IO CheckButton
- checkButtonNewWithLabel :: GlibString string => string -> IO CheckButton
- checkButtonNewWithMnemonic :: GlibString string => string -> IO CheckButton

# Detail

A `CheckButton` places a discrete `ToggleButton` next to a widget, (usually a `Label`). See the section on `ToggleButton` widgets for more information about toggle/check buttons.

The important signal ('toggled') is also inherited from `ToggleButton`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Button
    | +----ToggleButton
    | +----CheckButton
    | +----RadioButton

# Types

data CheckButton Source #

#### Instances

Instances details

Eq CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CheckButton -> CheckButton -> Bool Source # (/=) :: CheckButton -> CheckButton -> Bool Source #
Ord CheckButton Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CheckButton -> CheckButton -> Ordering Source #

(<) :: CheckButton -> CheckButton -> Bool Source #

(<=) :: CheckButton -> CheckButton -> Bool Source #

(>) :: CheckButton -> CheckButton -> Bool Source #

(>=) :: CheckButton -> CheckButton -> Bool Source #

max :: CheckButton -> CheckButton -> CheckButton Source #

min :: CheckButton -> CheckButton -> CheckButton Source #

GObjectClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CheckButton -> GObject Source # unsafeCastGObject :: GObject -> CheckButton Source #
BinClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CheckButtonClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToggleButtonClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ToggleButtonClass o => CheckButtonClass o Source #

#### Instances

Instances details

CheckButtonClass CheckButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CheckButtonClass RadioButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCheckButton :: GObjectClass obj => obj -> CheckButton Source #

gTypeCheckButton :: GType Source #

toCheckButton :: CheckButtonClass o => o -> CheckButton Source #

# Constructors

checkButtonNew :: IO CheckButton Source #

Creates a new `CheckButton`.

checkButtonNewWithLabel Source #

Arguments

:: GlibString string |
=> string | `label` - the text for the check button.
-> IO CheckButton |

Creates a new `CheckButton` with a `Label` to the right of it.

checkButtonNewWithMnemonic Source #

Arguments

:: GlibString string |
=> string | `label` - The text of the button, with an underscore in front of the mnemonic character
-> IO CheckButton |

Creates a new `CheckButton` containing a label. The label will be created using `labelNewWithMnemonic`, so underscores in `label` indicate the mnemonic for the check button.